goocanvasmm: Goocanvas::Points Class Reference

goocanvasmm 1.90.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Related Functions
Goocanvas::Points Class Reference

List of all members.

## Public Member Functions
| Points ()
| Points (GooCanvasPoints* gobject, bool make_a_copy=true)
| Points (const Points& other)
Points& | operator= (const Points& other)
| ~Points ()
void | swap (Points& other)
GooCanvasPoints* | gobj ()
| Provides access to the underlying C instance.
const GooCanvasPoints* | gobj () const
| Provides access to the underlying C instance.
GooCanvasPoints* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.
| Points (int num_points)
| Points (int num_points, const double* coords)
int | get_num_points () const
void | set_coordinate (int index, double x, double y)
void | get_coordinate (int index, double& x, double& y) const
## Protected Attributes
GooCanvasPoints* | gobject_
## Related Functions
(Note that these are not member functions.)
void | swap (Points& lhs, Points& rhs)
Goocanvas::Points | wrap (GooCanvasPoints* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

Goocanvas::Points::Points | ( |  | ) |

Goocanvas::Points::Points | ( | GooCanvasPoints * | gobject,
|  | bool | make_a_copy = `true`
| ) |  | `[explicit]`

Goocanvas::Points::Points | ( | const Points& | other | ) |

Goocanvas::Points::~Points | ( |  | ) |

Goocanvas::Points::Points | ( | int | num_points | ) | `[explicit]`

Goocanvas::Points::Points | ( | int | num_points,
|  | const double * | coords
| ) |  |

## Member Function Documentation

void Goocanvas::Points::get_coordinate | ( | int | index,
|  | double & | x,
|  | double & | y
| ) |  | const

int Goocanvas::Points::get_num_points | ( |  | ) | const

const GooCanvasPoints* Goocanvas::Points::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C instance.

GooCanvasPoints* Goocanvas::Points::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C instance.

GooCanvasPoints* Goocanvas::Points::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

Points& Goocanvas::Points::operator= | ( | const Points& | other | ) |

void Goocanvas::Points::set_coordinate | ( | int | index,
|  | double | x,
|  | double | y
| ) |  |

void Goocanvas::Points::swap | ( | Points& | other | ) |

## Friends And Related Function Documentation

void swap | ( | Points& | lhs,
|  | Points& | rhs
| ) |  | `[related]`

Parameters:

  lhs | The left-hand side
  rhs | The right-hand side

Goocanvas::Points wrap | ( | GooCanvasPoints * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

## Member Data Documentation

GooCanvasPoints* Goocanvas::Points::gobject_`[protected]`

The documentation for this class was generated from the following file:

- goocanvasmm/points.h